Tenha uma nova experiência ao navegar no Fórum pelo computador de forma integrada ao portal principal. Acesse o seguinte link: https://www.autolisp.com.br/board/. Entretanto para dispositivos móveis recomendamos acessar este outro link: https://www.autolisp.com.br/forum/

So_fica_o_Selecionado

Dúvidas sobre VB para AutoCAD...

Moderador: Moderadores

Responder
Avatar do usuário
svfabi
Bronze 1/3
Bronze 1/3
Mensagens: 100
Registrado em: Qui 31 Ago 2006 12:00:00 am
Localização: Brasilia DF

So_fica_o_Selecionado

Mensagem por svfabi » Qui 16 Ago 2007 10:17:04 pm

Oi pessoal,
Alguem tem uma rotina que seleciona parte de um desenho num retangulo e apaga o restante que está desenhado (como um detalhe). Eu não dei conta de fazer...
Abraço

Avatar do usuário
Rogerio
Master
Master
Mensagens: 2034
Registrado em: Ter 23 Mar 2004 12:00:00 am

Mensagem por Rogerio » Sex 17 Ago 2007 9:25:00 am

Tem q ser retângulo?

O Rkadmech na seção de downloads faz isso.Ou procure detail.lsp na net.

Eu fiz uma rotina q faz detalhes com elipse, retângulo, círculo, até polígono, mas tenho q procurar. Se achar, posto aqui.

[],

Rogério

Avatar do usuário
marcio2
Concreto
Concreto
Mensagens: 86
Registrado em: Seg 15 Jan 2007 11:00:00 pm

Extrim

Mensagem por marcio2 » Sáb 18 Ago 2007 7:05:55 pm

svfabi

Além da rotina indicada pelo Rogério, experimente:

Command: _extrim
Pick a POLYLINE, LINE, CIRCLE, ARC, ELLIPSE, IMAGE or TEXT for cutting edge...

[]s,
Márcio

Avatar do usuário
svfabi
Bronze 1/3
Bronze 1/3
Mensagens: 100
Registrado em: Qui 31 Ago 2006 12:00:00 am
Localização: Brasilia DF

_extrim

Mensagem por svfabi » Seg 20 Ago 2007 11:49:31 am

Eu não consequi localizar o comando _extrim no auto-cad e com relação ao Rkadmec não consigo baixar o arquivo.
Eu baixei um lisp na net que faz o que eu quero mas com circulo, mas tem de ser retangular
Valeu

Avatar do usuário
marcio2
Concreto
Concreto
Mensagens: 86
Registrado em: Seg 15 Jan 2007 11:00:00 pm

Extrim

Mensagem por marcio2 » Seg 20 Ago 2007 12:07:48 pm

svfabi,

Instale o Express Tools

O comando Extrim é uma rotina Express

Se não quiser instalar o ET, mande o seu e-mail que mandarei a Rotina

[]s,

Márcio

Avatar do usuário
svfabi
Bronze 1/3
Bronze 1/3
Mensagens: 100
Registrado em: Qui 31 Ago 2006 12:00:00 am
Localização: Brasilia DF

E-MAIL

Mensagem por svfabi » Seg 20 Ago 2007 2:44:18 pm

Marcio
Meu e-mail é [email protected]
Agradeço

Avatar do usuário
marcio2
Concreto
Concreto
Mensagens: 86
Registrado em: Seg 15 Jan 2007 11:00:00 pm

extrim.lsp

Mensagem por marcio2 » Seg 20 Ago 2007 4:57:01 pm

svfabi,

Já enviei

[]s,

Márcio

Avatar do usuário
svfabi
Bronze 1/3
Bronze 1/3
Mensagens: 100
Registrado em: Qui 31 Ago 2006 12:00:00 am
Localização: Brasilia DF

Complemento EXTRIM

Mensagem por svfabi » Qua 22 Ago 2007 10:42:17 am

Fiz uma rotina para complementar o comando extrim quando o detalhe é retangular, se alguem tiver alguma outra ou dica de melhora da rotina pode enviar.
Ela deve ser usado logo após o comando extrim.

[lsp](defun c:Detal (/ ent entall m i lst en entt)

(setq ent (ssget "w" (setq p1 (getpoint "\Selecione o canto superior esquerdo e inferior direito do detalhe: ")) (getpoint p1 ))
entall (ssget "x")
m (sslength ent)
i 0
lst ()
);setq

(while (> m 0)
(setq en (entget (ssname ent i))
lst (append (list en) lst); armazena numa lista o entname selecionado em ent
m (1- m)
i (1+ i)
);setq

);while

(command "erase" entall "")

(while lst
(setq
entt (car lst)
entt (entmake entt)
lst (cdr lst)
);setq
);while
);defun[/lsp]
Até mais...

Avatar do usuário
marcio2
Concreto
Concreto
Mensagens: 86
Registrado em: Seg 15 Jan 2007 11:00:00 pm

Clipt e Xclip

Mensagem por marcio2 » Dom 26 Ago 2007 9:59:39 pm

Para Blocos

Postado por LuKlein em Cadklein

Command: XCLIP
- peça o comando, selecione um bloco e dê enter
- escolha uma das opções - geralmente o New e dê enter
- escolha se quer uma "janela" de corte retangular ou poligonal ou se já tiver uma pline como "limite", escolha Select polyline
- dê enter.

Command: CLIPIT:
- peça o comando
- selecione a pline que vai usar pra limitar a visibilidade do bloco ou um dos objetos:
Command: clipit
Pick a POLYLINE, CIRCLE, ARC, ELLIPSE, or TEXT object for clipping edge...
- selecione o bloco
- dê enter

A diferença é que com o XCLIP você pode selecionar mais de um bloco e com o CLIPIT apenas 1 bloco por vez...
OFF para voltar ao original

Avatar do usuário
gustavolisp
Bronze 2/3
Bronze 2/3
Mensagens: 226
Registrado em: Qui 02 Nov 2006 12:00:00 am

eu tenho a xtrim, talvez ajude

Mensagem por gustavolisp » Ter 28 Ago 2007 10:12:07 am

[lsp];;;MTRIM.lsp
;;;--------------------------------------------------------------------
;;;Action: Multiple Trim Objects
;;;Command: MTRIM
;;;Author: dipl.eng.GYARMATHY ATTILA
;;;E-mail: [email protected] [email protected]
;;;--------------------------------------------------------------------
(defun *error* (msg)
(princ msg)
(princ)
)
(defun c:str (/ cmd pline spline ss1 p2 ss l i)
(setq cmd (getvar "CMDECHO"))
(setvar "cmdecho" 0)
(setq pline (entsel "\nSelecione Ponte Cortante..."))
(while (= pline nil)
(prompt "\nIncorrect selection!! Retry... ")
(setq pline (entsel "\nSelect cutting edge..."))
)
(setq spline (cadr pline))
(setq ss1 (ssget spline))
(setq p2 (getpoint "\nShow cutting direction..."))
(prompt
"\n<Select objects to be cutted> Pick objects/Crossing/Window/ALL:"
)
(command "select" pause)
(setq ss (ssget "p"))
(setq l (sslength ss))
(setq i 0)
(while (< i l)
(command "trim"
(ssname ss1 0)
""
(list (ssname ss i) p2)
""
)
(setq i (+ i 1))
)
(setvar "cmdecho" cmd)
(princ)
)[/lsp]

Responder